﻿/*--------------------------------------------------
       Sobrescritura Global de Bootstrap
---------------------------------------------------*/

.card {
    background-color: var(--card-bg);
    border: 1px solid var(--card-border);
    box-shadow: var(--card-shadow);
    color: var(--text-main);
}

.card-header {
    background-color: var(--card-header-bg) !important;
    border-bottom: 1px solid var(--card-border) !important;
    color: var(--color-polarity) !important;
    font-weight: 600;
}

.card-body {
    background-color: transparent; 
    color: var(--text-secondary);
}

.card-footer {
    background-color: var(--card-header-bg); 
    border-top: 1px solid var(--card-border);
    color: var(--text-muted);
}

.card:hover {
    background-color: var(--card-hover-bg) !important;
    box-shadow: var(--card-shadow-hover);
}
/*--------------------------------
    Botones (General y Estados)
---------------------------------*/

.btn-light {
    background-color: var(--btn-light-bg) !important;
    color: var(--text-main) !important;
    border-color: var(--btn-light-border) !important;
}

    .btn-light:hover, .btn-light:focus {
        background-color: var(--btn-light-hover-bg) !important;
        color: var(--text-main) !important;
    }


/*--------------------------------
            Dropdowns
---------------------------------*/
.dropdown-menu {
    background-color: var(--dropdown-bg);
    border: 1px solid var(--border-color);
    box-shadow: var(--card-shadow);
    font-size: 0.9rem;
}
/*--------------------------------
           Backgrounds
---------------------------------*/
/*--------------------------------
        Borders y Sombras
----------------------------------*/
.border {
    border: 1px solid var(--control-border);
}

/*--------------------------------
       Inputs y Formularios
---------------------------------*/
.form-control, .form-select, form-check-input, .form-check-label {
    border: 1px solid var(--control-border);
}
